List Locked Blocks

get

/applications/{applicationName}/databases/{databaseName}/locks/blocks

Gets all the locked blocks from the specified application and database.

Request

Path Parameters
Query Parameters
  • Maximum number of blocks to return. Default is 50.
  • Number of items to omit from the start of the result set.

Back to Top

Response

200 Response

OK

Locked blocks returned successfully, including details of locked blocks and links to unlock the objects.

400 Response

Bad Request

Failed to get the locked blocks. The application or database name may be incorrect.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to list locked data blocks in an Essbase block storage cube.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locks/blocks?offset=0&limit=50" -H  accept: application/json -u %User%:%Password%

Example of Response Body

The following example shows the contents of the response body in JSON format, including a link to unlock the locked block.

{
  "items": [
    {
      "user": "power1",
      "count": 1,
      "duration": 450,
      "links": [
        {
          "rel": "unlock",
          "href": "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locks/blocks/unlock",
          "method": "POST"
        }
      ]
    }
  ],
  "totalResults": 1,
  "limit": 25,
  "count": 1,
  "offset": 0,
  "hasMore": false
}
Back to Top